USE [COWS]
GO
UPDATE			fb
	SET			fb.FSA_CPE_LINE_ITEM_ID			=	fc.FSA_CPE_LINE_ITEM_ID	
	FROM		dbo.FSA_ORDR_BILL_LINE_ITEM		fb	WITH (TABLOCKX)	
	INNER JOIN	dbo.FSA_ORDR_CPE_LINE_ITEM		fc	WITH (NOLOCK)	
	ON			fb.FSA_ORDR_BILL_LINE_ITEM_ID	=	fc.FSA_ORDR_BILL_LINE_ITEM_ID
	AND			fb.FSA_CPE_LINE_ITEM_ID			IS	NULL
GO